summaryrefslogtreecommitdiff
path: root/tests/rm/d-2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/d-2')
-rwxr-xr-xtests/rm/d-233
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/rm/d-2 b/tests/rm/d-2
new file mode 100755
index 000000000..a63cff60d
--- /dev/null
+++ b/tests/rm/d-2
@@ -0,0 +1,33 @@
+#!/bin/sh
+# Ensure that 'rm -d dir' (i.e., without --recursive) gives a reasonable
+# diagnostic when failing.
+
+# Copyright (C) 2012 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+print_ver_ rm
+
+mkdir d || framework_failure_
+> d/a || framework_failure_
+
+rm -d d 2> out && fail=1
+printf "%s\n" \
+ "rm: cannot remove 'd': Directory not empty" \
+ > exp || framework_failure_
+
+compare exp out || fail=1
+
+Exit $fail